Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.terminal
Class CardNotPresentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  opencard.core.OpenCardException
                      opencard.core.terminal.CardTerminalException
                          opencard.core.terminal.CardNotPresentException

All Implemented Interfaces:
  java.io.Serializable

    public class CardNotPresentException

extends CardTerminalException

Thrown when a card should be inserted in one of the slots but is not present.

Version:
  $Id: CardNotPresentException.java,v 1.2 1999/10/22 16:07:34 damke Exp $
Author:
  Stephan Breideneich (sbreiden@de.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`CardNotPresentException(java.lang.String msg, CardTerminal theTerminal, int theSlot)` `CardNotPresentException` is thrown when a card expected in a slot is not found.
`CardNotPresentException(java.lang.String msg, CardTerminal theTerminal, Slot theSlot)` Deprecated.

Method Summary

Methods inherited from class opencard.core.terminal.CardTerminalException
`getCardTerminal, getSlot`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardNotPresentException

    public CardNotPresentException(java.lang.String msg,
                                   CardTerminal theTerminal,
                                   int theSlot)

  `CardNotPresentException` is thrown when a card expected in a slot is not found.

  Parameters:
    `msg` - text with more informations about the thrown exception
    `theTerminal` - the `CardTerminal` as origin of the exception
    `theSlot` - the `slot number` as origin of the exception

### CardNotPresentException

    public CardNotPresentException(java.lang.String msg,
                                   CardTerminal theTerminal,
                                   Slot theSlot)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD